// SPDX-License-Identifier: LGPL-3.0-or-later
// See Notices.txt for copyright information

mod const_bool;
mod const_cmp;
mod misc;

#[doc(inline)]
pub use const_bool::{ConstBool, ConstBoolDispatch, ConstBoolDispatchTag, GenericConstBool};

#[doc(inline)]
pub use const_cmp::{
    const_bytes_cmp, const_str_array_is_strictly_ascending, const_str_cmp, const_u8_cmp,
    const_usize_cmp,
};

#[doc(inline)]
pub use misc::{
    interned_bit, iter_eq_by, BitSliceWriteWithBase, DebugAsDisplay, DebugAsRawString, MakeMutSlice,
};
